{
  "$schema": "http://json-schema.org/draft-07/schema#",
  "properties": {
    "apiVersion": {
      "type": "string"
    },
    "kind": {
      "type": "string"
    },
    "metadata": {
      "type": "object"
    },
    "spec": {
      "properties": {
        "address": {
          "maxLength": 39,
          "minLength": 1,
          "type": "string"
        },
        "claimRef": {
          "properties": {
            "name": {
              "default": "",
              "type": "string"
            }
          },
          "type": "object",
          "x-kubernetes-map-type": "atomic"
        },
        "gateway": {
          "maxLength": 39,
          "minLength": 1,
          "type": "string"
        },
        "poolRef": {
          "properties": {
            "apiGroup": {
              "type": "string"
            },
            "kind": {
              "type": "string"
            },
            "name": {
              "type": "string"
            }
          },
          "required": [
            "kind",
            "name"
          ],
          "type": "object",
          "x-kubernetes-map-type": "atomic"
        },
        "prefix": {
          "type": "integer"
        }
      },
      "required": [
        "address",
        "claimRef",
        "poolRef",
        "prefix"
      ],
      "type": "object"
    }
  },
  "type": "object"
}
